OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
cl::Platform Class Reference

Class interface for cl_platform_id. More...

`#include <cl2.hpp>`

Inherits cl::detail::Wrapper< cl_platform_id >.

## Public Member Functions
| Platform ()
| Default constructor - initializes to NULL. More...
| Platform (const cl_platform_id &platform, bool retainObject=false)
| Constructor from cl_platform_id. More...
Platform & | operator= (const cl_platform_id &rhs)
| Assignment operator from cl_platform_id. More...
cl_int | getInfo (cl_platform_info name, string *param) const
| Wrapper for clGetPlatformInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_platform_info, name >::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetPlatformInfo() that returns by value. More...
cl_int | getDevices (cl_device_type type, vector< Device > *devices) const
| Gets a list of devices for this platform. More...
cl_int | unloadCompiler ()
| Wrapper for clUnloadCompiler(). More...
Public Member Functions inherited from cl::detail::Wrapper< cl_platform_id >
| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
| ~Wrapper ()
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Static Public Member Functions
static Platform | getDefault (cl_int *errResult=NULL)
static Platform | setDefault (const Platform &default_platform)
static cl_int | get (vector< Platform > *platforms)
| Gets a list of available platforms. More...
static cl_int | get (Platform *platform)
| Gets the first available platform. More...
static Platform | get (cl_int *errResult=NULL)
| Gets the first available platform, returning it by value. More...

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_platform_id >
typedef cl_platform_id | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_platform_id >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_platform_id >
cl_type | object_

## Detailed Description

Class interface for cl_platform_id.

Note
  Copies of these objects are inexpensive, since they don't 'own' any underlying resources or data structures.

See Also
  cl_platform_id

## Constructor & Destructor Documentation

cl::Platform::Platform | ( |  | ) |
| inline

Default constructor - initializes to NULL.

cl::Platform::Platform | ( | const cl_platform_id & | platform,
|  | bool | retainObject = `false`
| ) |  |
| inline explicit

Constructor from cl_platform_id.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. This simply copies the platform ID value, which is an inexpensive operation.

## Member Function Documentation

static cl_int cl::Platform::get | ( | vector< Platform > * | platforms | ) |
| inline static

Gets a list of available platforms.

Wraps clGetPlatformIDs().

static cl_int cl::Platform::get | ( | Platform * | platform | ) |
| inline static

Gets the first available platform.

Wraps clGetPlatformIDs(), returning the first result.

static Platform cl::Platform::get | ( | cl_int * | errResult = `NULL` | ) |
| inline static

Gets the first available platform, returning it by value.

Returns
  Returns a valid platform if one is available. If no platform is available will return a null platform. Throws an exception if no platforms are available or an error condition occurs. Wraps clGetPlatformIDs(), returning the first result.

static Platform cl::Platform::getDefault | ( | cl_int * | errResult = `NULL` | ) |
| inline static

cl_int cl::Platform::getDevices | ( | cl_device_type | type,
|  | vector< Device > * | devices
| ) |  | const
| inline

Gets a list of devices for this platform.

Wraps clGetDeviceIDs().

cl_int cl::Platform::getInfo | ( | cl_platform_info | name,
|  | string * | param
| ) |  | const
| inline

Wrapper for clGetPlatformInfo().

template<cl_int name>

detail::param_traits<detail::cl_platform_info, name>::param_type cl::Platform::getInfo | ( | cl_int * | err = `NULL` | ) | const
| inline

Wrapper for clGetPlatformInfo() that returns by value.

Platform& cl::Platform::operator= | ( | const cl_platform_id & | rhs | ) |
| inline

Assignment operator from cl_platform_id.

This simply copies the platform ID value, which is an inexpensive operation.

static Platform cl::Platform::setDefault | ( | const Platform & | default_platform | ) |
| inline static

Modify the default platform to be used by subsequent operations. Will only set the default if no default was previously created.

Returns
  updated default platform. Should be compared to the passed value to ensure that it was updated.

cl_int cl::Platform::unloadCompiler | ( |  | ) |
| inline

Wrapper for clUnloadCompiler().

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp